> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get minting contracts

> Get minting contracts



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/minting/contracts
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/minting/contracts:
    get:
      tags:
        - Minting
      summary: Get minting contracts
      description: Get minting contracts
      parameters:
        - name: websiteId
          in: query
          schema:
            type: string
            format: uuid
        - name: organizationId
          in: query
          schema:
            type: string
            format: uuid
        - name: startingAfter
          in: query
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 1000
        - name: showOnMarketplace
          in: query
          schema:
            type: boolean
        - name: includeDeleted
          in: query
          schema:
            default: false
            type: boolean
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          nullable: true
                        network:
                          type: string
                          enum:
                            - abstract
                            - abstractTestnet
                            - apechain
                            - arbitrum
                            - avalanche
                            - avalancheFuji
                            - base
                            - baseSepolia
                            - berachain
                            - berachainArtio
                            - berachainBepolia
                            - binance
                            - bscTestnet
                            - campTestnet
                            - fantom
                            - fantomTestnet
                            - flowMainnet
                            - mainnet
                            - nexus
                            - nexusTestnet
                            - optimism
                            - polygon
                            - polygon_mumbai
                            - skaleNebula
                            - skaleEuropa
                            - skaleCalypso
                            - solana
                            - sophon
                            - sophonTestnet
                            - sui
                            - superseed
                            - superseedSepolia
                            - vanar
                            - xai
                            - zksync
                            - coti
                            - cotiTestnet
                            - dogeosTestnet
                            - morph
                            - morphTestnet
                            - morphHolesky
                            - ultra
                            - ultraTestnet
                            - nitrograph
                            - sepolia
                            - optimism_sepolia
                            - arbitrumSepolia
                            - goerli
                            - optimism_goerli
                            - arbitrumGoerli
                            - basecamp
                            - somnia
                            - zkverify
                            - polkadot
                            - kusama
                            - horizen
                            - horizenTestnet
                            - flow_cadence
                          nullable: true
                        contractKind:
                          type: string
                          enum:
                            - ONCHAIN
                            - OFFCHAIN
                        description:
                          type: string
                          nullable: true
                        enableGasless:
                          type: boolean
                        externalLinkUrl:
                          type: string
                          nullable: true
                        hasRevealMechanic:
                          type: boolean
                        hideInactiveListings:
                          type: boolean
                        id:
                          type: string
                          format: uuid
                        imageUrl:
                          type: string
                          nullable: true
                        isFreeClaimForBadgeHolders:
                          type: boolean
                        isFreeClaimForTokenHolders:
                          type: boolean
                        isListed:
                          type: boolean
                        isPerAssetMintLimit:
                          type: boolean
                        perUserMintLimit:
                          type: integer
                          minimum: 1
                          nullable: true
                        isSoulbound:
                          type: boolean
                        name:
                          type: string
                        organizationId:
                          type: string
                          format: uuid
                        preRevealMedia:
                          type: string
                          nullable: true
                        primarySaleRecipientAddress:
                          type: string
                        relayerId:
                          type: string
                          format: uuid
                          nullable: true
                        requireHoldingAllGatedItems:
                          type: boolean
                        revealAvailableAt:
                          type: string
                          format: date-time
                          nullable: true
                        royaltyFee:
                          nullable: true
                        royaltyFeeAddress:
                          type: string
                        shouldCollectEmail:
                          type: boolean
                        showOnMarketplace:
                          type: boolean
                        sortId:
                          type: number
                          nullable: true
                        symbol:
                          type: string
                        tokenType:
                          type: string
                          enum:
                            - erc721
                            - erc1155
                            - erc721c
                        websiteId:
                          type: string
                          format: uuid
                        mintingContractAssets:
                          type: array
                          items:
                            type: object
                            properties:
                              auctionItems:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                  required:
                                    - id
                              animationUrl:
                                type: string
                                nullable: true
                              assetNr:
                                type: number
                              currencyAddress:
                                type: string
                                nullable: true
                              currencyDecimals:
                                type: number
                                nullable: true
                              description:
                                type: string
                                nullable: true
                              id:
                                type: string
                              imageUrl:
                                type: string
                                nullable: true
                              isListed:
                                type: boolean
                              isPhygitalItem:
                                type: boolean
                              isHidden:
                                type: boolean
                              shouldCollectUserInfo:
                                type: boolean
                              collectInfoType:
                                type: string
                                enum:
                                  - customInput
                                  - freeText
                                  - shippingDetails
                                nullable: true
                              listingEndsAt:
                                type: string
                                format: date-time
                                nullable: true
                              listingStartsAt:
                                type: string
                                format: date-time
                                nullable: true
                              loyaltyCurrencyId:
                                type: string
                                nullable: true
                              name:
                                type: string
                              organizationId:
                                type: string
                              price:
                                nullable: true
                              quantity:
                                type: number
                              quantityMinted:
                                type: number
                              unlimitedQty:
                                type: boolean
                              revealedAt:
                                type: string
                                format: date-time
                                nullable: true
                              tokenId:
                                type: number
                                nullable: true
                              websiteId:
                                type: string
                            required:
                              - auctionItems
                              - animationUrl
                              - assetNr
                              - currencyAddress
                              - currencyDecimals
                              - description
                              - id
                              - imageUrl
                              - isListed
                              - isPhygitalItem
                              - isHidden
                              - shouldCollectUserInfo
                              - collectInfoType
                              - listingEndsAt
                              - listingStartsAt
                              - loyaltyCurrencyId
                              - name
                              - organizationId
                              - price
                              - quantity
                              - quantityMinted
                              - unlimitedQty
                              - revealedAt
                              - tokenId
                              - websiteId
                        totalAssets:
                          type: number
                        mintingContractBadgeAssociation:
                          type: array
                          items:
                            type: object
                            properties:
                              loyaltyBadge:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    format: uuid
                                  name:
                                    type: string
                                  imageUrl:
                                    type: string
                                    nullable: true
                                required:
                                  - id
                                  - name
                                  - imageUrl
                            required:
                              - loyaltyBadge
                        mustOwnCollections:
                          type: array
                          items:
                            type: object
                            properties:
                              address:
                                type: string
                              network:
                                type: string
                                enum:
                                  - abstract
                                  - abstractTestnet
                                  - apechain
                                  - arbitrum
                                  - avalanche
                                  - avalancheFuji
                                  - base
                                  - baseSepolia
                                  - berachain
                                  - berachainArtio
                                  - berachainBepolia
                                  - binance
                                  - bscTestnet
                                  - campTestnet
                                  - fantom
                                  - fantomTestnet
                                  - flowMainnet
                                  - mainnet
                                  - nexus
                                  - nexusTestnet
                                  - optimism
                                  - polygon
                                  - polygon_mumbai
                                  - skaleNebula
                                  - skaleEuropa
                                  - skaleCalypso
                                  - solana
                                  - sophon
                                  - sophonTestnet
                                  - sui
                                  - superseed
                                  - superseedSepolia
                                  - vanar
                                  - xai
                                  - zksync
                                  - coti
                                  - cotiTestnet
                                  - dogeosTestnet
                                  - morph
                                  - morphTestnet
                                  - morphHolesky
                                  - ultra
                                  - ultraTestnet
                                  - nitrograph
                                  - sepolia
                                  - optimism_sepolia
                                  - arbitrumSepolia
                                  - goerli
                                  - optimism_goerli
                                  - arbitrumGoerli
                                  - basecamp
                                  - somnia
                                  - zkverify
                                  - polkadot
                                  - kusama
                                  - horizen
                                  - horizenTestnet
                                  - flow_cadence
                            required:
                              - address
                              - network
                      required:
                        - address
                        - network
                        - contractKind
                        - description
                        - enableGasless
                        - externalLinkUrl
                        - hasRevealMechanic
                        - hideInactiveListings
                        - id
                        - imageUrl
                        - isFreeClaimForBadgeHolders
                        - isFreeClaimForTokenHolders
                        - isListed
                        - isPerAssetMintLimit
                        - perUserMintLimit
                        - isSoulbound
                        - name
                        - organizationId
                        - preRevealMedia
                        - primarySaleRecipientAddress
                        - relayerId
                        - requireHoldingAllGatedItems
                        - revealAvailableAt
                        - royaltyFee
                        - royaltyFeeAddress
                        - shouldCollectEmail
                        - showOnMarketplace
                        - sortId
                        - symbol
                        - tokenType
                        - websiteId
                        - mintingContractAssets
                        - totalAssets
                        - mintingContractBadgeAssociation
                        - mustOwnCollections
                  hasNextPage:
                    type: boolean
                  stats:
                    type: array
                    items:
                      type: object
                      properties:
                        mintingContractId:
                          type: string
                          format: uuid
                        _sum:
                          type: object
                          properties:
                            quantity:
                              type: number
                              nullable: true
                            quantityMinted:
                              type: number
                              nullable: true
                          required:
                            - quantity
                            - quantityMinted
                        _count:
                          type: object
                          properties:
                            isListed:
                              type: number
                          required:
                            - isListed
                      required:
                        - mintingContractId
                        - _sum
                        - _count
                required:
                  - data
                  - hasNextPage
                  - stats
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response

````